%define name kdeadmin
%define version 1.1.2
%define release 12mdk
%define sourcedir stable/1.1.2/distribution/tar/generic/source

%define qtver  qt >= 1.44

Name: %{name}
Summary: K Desktop Environment - System Administration Tools
Version: %{version}
Release: %{release}
Source: ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{name}-1.1.2.tar.bz2
Source1: kdeadmin_menuentries
#Patch: kdeadmin-1.1-lowcolor.patch.bz2
Patch1: kdeadmin-1.1.2-fixmtype.patch.bz2
Group: System/Configuration/Other
BuildRoot: /var/tmp/%{name}-buildroot
Copyright: GPL
Requires: %{qtver} kdesupport
%ifarch alpha
BuildRequires: libtool
%endif

%description
System Administration tools for the K Desktop Environment.

Included with this package are:
kdat (tape backup); ksysv (sysV init editor); kuser (user administration tool)

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q 
#%patch -p0 -b .lowcolor
%patch1 -p0

%build
make -f Makefile.cvs

%ifarch alpha
libtoolize --force
%endif
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
   ./configure --with-pam --with-install-root=$RPM_BUILD_ROOT --disable-rpath
mkdir -p $RPM_BUILD_ROOT
if [ "$SMP" != "" ]; then
  (make "MAKE=make -k -j $SMP"; exit 0)
  make
else
  make
fi

%install
make install-strip

# (fg) Menu entries
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu
install -m644 %{SOURCE1} $RPM_BUILD_ROOT/usr/lib/menu/kdeadmin

%clean
rm -rf $RPM_BUILD_ROOT 

%post
[ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true

%postun
if [ "$1" = "0" ]; then
[ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true
fi

%files 
%defattr(-,root,root,755)
%docdir /usr/doc/kde/HTML
/usr/doc/kde/HTML/*
/usr/bin/*
/usr/lib/menu/kdeadmin
%dir /usr/share/icons
/usr/share/icons/*xpm
%dir /usr/share/icons/mini
/usr/share/icons/mini/*xpm
%dir /usr/share/icons/large
/usr/share/icons/large/*xpm
%dir /usr/share/apps
/usr/share/apps/*
%dir /usr/share/locale/*/LC_MESSAGES
/usr/share/locale/*/LC_MESSAGES/*

%changelog
* Thu Apr 27 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.1.2-12mdk
- fixed compilation with new glibc.

* Wed Apr 05 2000 Francis Galiegue <fg@mandrakesoft.com> 1.1.2-11mdk

- Redone menu entries
- post and postun scripts
- added --disable-rpath to ./configure flags

* Fri Mar 24 2000 Francis Galiegue <fg@mandrakesoft.com> 1.1.2-10mdk

- Don't use prefix
- Rebuilt on kenobi
- Only one menu entry, not one per binary

* Tue Mar 21 2000 Francis Galiegue <fg@mandrakesoft.com> 1.1.2-9mdk

- Changed group to match 7.1 specs
- Don't use autogenerated file list
- Added menu entries

* Wed Jan 12 2000 Pixel <pixel@mandrakesoft.com>
- libtoolize --force added for alpha

* Mon Dec  6 1999 John Corey <jcorey@mandrakesoft.com>
- Rebuild with FHS-2.0 compliance

* Thu Nov 04 1999 Daniel M. Duley <mosfet@linux-mandrake.com>
- Updated sources and RH compatible docpath. Re-enabled Makefile.cvs.

* Fri Oct 01 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Cooker build

* Tue Sep 07 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Remove to -pre1.

* Sat Sep 04 1999 Daniel M. Duley <mosfet@mandrakesoft.com>
Added patch to use lowcolor 32x32 icons. 

* Wed Aug 25 1999 Daniel M. Duley <mosfet@mandrakesoft.com>
- 1.1.2 CVS snapshot day 19990825.

* Tue Aug 24 1999 Daniel M. Duley <mosfet@mandrakesoft.com>
- 1.1.2 CVS snapshot day 19990824.

* Sat May 15 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Reinserting kuser.

* Thu May 06 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Bug dependences (pre1 is more recent from 1.1) fixed.

* Wed May 05 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- 1.1.1

* Wed Apr 21 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- 1.1.1pre1
- handle RPM_OPT_FLAGS
- Mandrake adaptions

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Feb 07 1999 Preston Brown <pbrown@redhat.com>
- upgraded to KDE 1.1 final.

* Thu Jan 07 1999 Preston Brown <pbrown@redhat.com>
- re-merged in updates from Duncan Haldane, /opt/kde --> /usr
